Vector Graphics Node Functions

Functions
Vector Graphics Node Functions
Evas » Vector Graphics Object

## Functions
EVAS_API void | evas_vg_node_transformation_set (Evas_Vg_Node *obj, const Eina_Matrix3 *m)
| Sets the transformation matrix to be used for this node object. More...
EVAS_API const Eina_Matrix3 * | evas_vg_node_transformation_get (const Evas_Vg_Node *obj)
| Gets the transformation matrix used for this node object. More...
EVAS_API void | evas_vg_node_origin_set (Evas_Vg_Node *obj, double x, double y)
| Sets the origin position of the node object. More...
EVAS_API void | evas_vg_node_origin_get (const Evas_Vg_Node *obj, double *x, double *y)
| Gets the origin position of the node object. More...
EVAS_API void | evas_vg_node_mask_set (Evas_Vg_Node *obj, Evas_Vg_Node *mask, int op)
| Set Mask Node to this renderer. More...

## Detailed Description

## Function Documentation

## ◆ evas_vg_node_transformation_set()

EVAS_API void evas_vg_node_transformation_set | ( | Evas_Vg_Node * | obj,
|  | const Eina_Matrix3 * | m
| ) |  |

Sets the transformation matrix to be used for this node object.

Note
  Pass `null` to cancel the applied transformation.

Parameters

  [in] | obj | The object.
  [in] | m | The transformation matrix.

Since
  1.14

## ◆ evas_vg_node_transformation_get()

EVAS_API const Eina_Matrix3* evas_vg_node_transformation_get | ( | const Evas_Vg_Node * | obj | ) |

Gets the transformation matrix used for this node object.

Parameters

  [in] | obj | The object.

Returns
  The transformation matrix.

Since
  1.14

## ◆ evas_vg_node_origin_set()

EVAS_API void evas_vg_node_origin_set | ( | Evas_Vg_Node * | obj,
|  | double | x,
|  | double | y
| ) |  |

Sets the origin position of the node object.

This origin position affects node transformation.

Parameters

  [in] | obj | The object.
  [in] | x | `origin` x position.
  [in] | y | `origin` y position.

Since
  1.14

## ◆ evas_vg_node_origin_get()

EVAS_API void evas_vg_node_origin_get | ( | const Evas_Vg_Node * | obj,
|  | double * | x,
|  | double * | y
| ) |  |

Gets the origin position of the node object.

Parameters

  [in] | obj | The object.
  [out] | x | `origin` x position.
  [out] | y | `origin` y position.

Since
  1.14

## ◆ evas_vg_node_mask_set()

EVAS_API void evas_vg_node_mask_set | ( | Evas_Vg_Node * | obj,
|  | Evas_Vg_Node * | mask,
|  | int | op
| ) |  |

Set Mask Node to this renderer.

Parameters

  [in] | obj | The object.
  [in] | mask | Mask object
  [in] | op | Masking Option. Reserved

Since
  1.24